.media-banner {
  position: relative;
  width: 100%;
  aspect-ratio: 1920/960;
  min-height: 0;
  max-height: calc(100vh - var(--header-height));
}

.media-banner__media-wrap {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
}

.media-banner__media {
  display: block;
  width: 100%;
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
  -o-object-position: center;
  object-position: center;
}

.media-banner__youtube-frame {
  border: none;
}

.media-banner__play {
  -moz-appearance: none;
  appearance: none;
  -webkit-appearance: none;
  border: none;
  background: none;
  cursor: pointer;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 120px;
  height: 120px;
  opacity: 0.75;
  transition: var(--tr);
  z-index: 2;
}

.media-banner__play:hover {
  opacity: 1;
}

.media-banner__play._playing {
  opacity: 0;
}

.media-banner__play img {
  display: block;
  width: 100%;
  height: 100%;
}

.media-banner:hover .media-banner__play._playing,
.media-banner._controls-active .media-banner__play._playing {
  opacity: 0.75;
}

.media-banner._video {
  aspect-ratio: auto;
  height: auto;
  max-height: none;
}

.media-banner._video .media-banner__media-wrap {
  height: auto;
}

.media-banner._video .media-banner__media {
  height: auto;
  -o-object-fit: initial;
  object-fit: initial;
}

.media-banner._video .media-banner__media-wrap_youtube {
  aspect-ratio: 16/9;
}

.media-banner._video .media-banner__media-wrap_youtube .media-banner__media {
  height: 100%;
  -o-object-fit: cover;
  object-fit: cover;
}

@media (max-width: 1400px) {
  .media-banner__play {
    width: 90px;
    height: 90px;
  }

  .media-banner._compact {
    height: 50vh;
  }

  .media-banner._video._compact {
    height: auto;
  }
}

@media (max-width: 760px) {
  .media-banner__play {
    width: 60px;
    height: 60px;
  }

  .media-banner._compact {
    height: 40vh;
  }

  .media-banner._video._compact {
    height: auto;
  }
}